package com.mortals.xhx.module.window.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowMatterVo;
/**
* 窗口事项实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class WindowMatterEntity extends WindowMatterVo {
    private static final long serialVersionUID = 1L;

    /**
    * 窗口ID
    */
    private Long windowId;
    /**
    * 窗口名称
    */
    private String windowName;
    /**
    * 事项ID
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;



    public WindowMatterEntity(){}
    /**
    * 获取 窗口ID
    * @return Long
    */
    public Long getWindowId(){
        return windowId;
    }
    /**
    * 设置 窗口ID
    * @param windowId
    */
    public void setWindowId(Long windowId){
        this.windowId = windowId;
    }
    /**
    * 获取 窗口名称
    * @return String
    */
    public String getWindowName(){
        return windowName;
    }
    /**
    * 设置 窗口名称
    * @param windowName
    */
    public void setWindowName(String windowName){
        this.windowName = windowName;
    }
    /**
    * 获取 事项ID
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项ID
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowMatterEntity) {
            WindowMatterEntity tmp = (WindowMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",windowId:").append(getWindowId());
        sb.append(",windowName:").append(getWindowName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.windowId = null;

            this.windowName = null;

            this.matterId = null;

            this.matterName = null;
    }
}